export interface InvalidateCacheRequest {
    /**
     * An array of objects containing a `tag` field used to identify the cache to invalidate. All cached return values with any listed tags are invalidated. If no tags are specified, nothing is invalidated.
     * @maxSize 100
     */
    invalidationMethods?: InvalidationMethods[];
}
export interface InvalidationMethods extends InvalidationMethodsInvalidateByOneOf {
    /**
     * *Required.** Identifier of the caches to invalidate.
     * @maxLength 500
     * @minLength 1
     */
    tag?: string;
}
/** @oneof */
export interface InvalidationMethodsInvalidateByOneOf {
    /**
     * *Required.** Identifier of the caches to invalidate.
     * @maxLength 500
     * @minLength 1
     */
    tag?: string;
}
export interface InvalidateCacheResponse {
}
export interface PurgeSiteCacheRequest {
}
export interface PurgeSiteCacheResponse {
}
